import QtQuick 1.0
import "ContentPageScript.js" as CpScript

Rectangle {
    id: delegate
    height: grid.cellHeight
    width: grid.cellWidth
    color: mainWindow.appBackground
    property int tileMargin: mainWindow.tileMargin

    Rectangle {
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.topMargin: parent.tileMargin/2
        width: parent.width - tileMargin
        height: parent.height - tileMargin
        color: mainWindow.tileBackground

        MouseArea {
            anchors.fill: parent
            onClicked: {
                grid.currentIndex = index
                CpScript.createContentPage(link);
            }
        }

        states: [
            State {
                name: "selected"
                when: delegate.GridView.isCurrentItem
            }
        ]

        Text {
            id: titleText
            anchors.top: parent.top
            anchors.topMargin: tileMargin
            anchors.left: parent.left
            anchors.leftMargin: tileMargin
            anchors.right: parent.right
            anchors.rightMargin: tileMargin

            color: mainWindow.textColor
            text: title;
            width: parent.width;
            wrapMode: Text.WordWrap
            font { bold: true; family: mainWindow.uiFont; pointSize: mainWindow.tileHeaderFontSize }
        }

        Text {
            id: dateText
            anchors.left: parent.left
            anchors.leftMargin: tileMargin
            anchors.bottom: parent.bottom
            anchors.bottomMargin: tileMargin
            anchors.right: parent.right
            anchors.rightMargin: tileMargin

            color: mainWindow.textColor
            text: pubDate
            width: parent.width;
            wrapMode: Text.WordWrap;
            font { family: mainWindow.uiFont; pointSize: mainWindow.tileDateFontSize }
        }
    }
}

