import QtQuick 1.0

Rectangle {
    width: parent.width
    height: parent.height
    color: mainWindow.appBackground

    Image {
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        source: "Qt_commercial_icon_128.png"
        Text {
            anchors.left: parent.right
            anchors.leftMargin: 24
            anchors.verticalCenter: parent.verticalCenter
            text: qsTr("Blog")
            font.family: mainWindow.uiFont;
            font.pointSize: mainWindow.appHeaderFontSize;
            color: mainWindow.textColor
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            splashScreen.state = "hide"
            playbanner.start()
        }
    }

    Component.onCompleted: splashScreen.state = "show"

    states:
        State {
            name: "hide"
            PropertyChanges { target: splashScreen; x: parent.width; y: 0 }
        }


    transitions:
        Transition {
            PropertyAnimation { properties: "x,y"; duration: 200; easing.type: Easing.OutCirc; }
        }
}
