import QtQuick 1.0

Rectangle {
    property string iconPath: ""
    signal iconPressed

    y: parent.height
    x:0
    width: parent.width
    height: barSize/2
    color: "black"

    Image {
        anchors.left: parent.left
        anchors.leftMargin: (parent.height - height)/2
        anchors.verticalCenter: parent.verticalCenter
        source: iconPath
        MouseArea {
             anchors.fill: parent
             onClicked: taskBar.iconPressed();
        }
    }

    states: [
        State {
            name: "show"
            PropertyChanges { target: taskBar; y: parent.height - mainWindow.barSize/2 }
        },
        State {
            name: "hide"
            PropertyChanges { target: taskBar; y: parent.height }
        }
    ]
    transitions: [
        Transition {
            PropertyAnimation { properties: "y"; duration: 200; easing.type: Easing.OutCirc; }
        },
        Transition {
            from: 'fullscreen'; to: 'hide'
            PropertyAnimation { properties: "y"; duration: 100; easing.type: Easing.OutCirc; }
        }
    ]
}
