#ifndef TABVIEW_H
#define TABVIEW_H

//includes
#include <QGraphicsView>
#include <QWidget>

// forwards
class QGraphicsSimpleTextItem;
class QGraphicsTextItem;
class QPropertyAnimation;
class QParallelAnimationGroup;

class TabView : public QGraphicsView
{
    Q_OBJECT

public:
    explicit TabView(QGraphicsScene *scene, QWidget *parent = 0);
    ~TabView();

public: // new functions

    void createTopBar();
    void createMetroTabBar();
    void createContentItems();

protected:  // from base class

    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);

private:    // new functions

    void startHeaderAnimation(int direction);
    void startContentAnimation(int direction);

private:

    enum PanDirection
    {
        ESweepRight,
        ESweepLeft
    };

    QList<QGraphicsTextItem*>       mHeaderItems;
    QList<QPropertyAnimation*>      mHeaderAnimations;

    QList<QGraphicsTextItem*>       mContentItems;
    QList<QPropertyAnimation*>      mContentAnimations;

    QParallelAnimationGroup         *mGroupAnimContent;
    QParallelAnimationGroup         *mGroupAnimHeader;

    QPropertyAnimation              *mOpacityAnimator;

    int mCurrentItem;
    int mMouseXPosition;
};

#endif // TABVIEW_H
